Bug 5240 - Jar2Xml/generator errors should be MSBuild compatible
Summary: Jar2Xml/generator errors should be MSBuild compatible
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings (show other bugs)
Version: 4.2.x
Hardware: PC Windows
: --- enhancement
Target Milestone: ---
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2012-05-22 11:44 UTC by Jonathan Pobst
Modified: 2012-10-10 08:50 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Pobst 2012-05-22 11:44:31 UTC
At the default verbosity, when an error is hit in jar2xml, the error message the user gets is "java.exe exited with code -1".  jar2xml needs to output errors that are compatible with msbuild so they show up in the user's IDE.

Example error with Diagnostic verbosity:
http://mibpaste.com/ZYZQJN

MSBuild error format:
http://blogs.msdn.com/b/msbuild/archive/2006/11/03/msbuild-visual-studio-aware-error-messages-and-message-formats.aspx
Comment 1 Atsushi Eno 2012-10-10 04:16:15 UTC
jar2xml is done, but generator needs the same (and a lot more) work.
Comment 2 Atsushi Eno 2012-10-10 05:31:20 UTC
generator is done too. Though monodevelop does not pick them up. Not sure if VS does yet.
Comment 3 Atsushi Eno 2012-10-10 08:50:19 UTC
With some workaround, it started to appear on the error/warning list on MD.